<?php
include "scrinit.php";
$menu1 = $_SESSION['menu1'];
include $menu;
?>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style type="text/css">
table.myTable { border-collapse:collapse; }
table.myTable td, table.myTable th { border:1px solid black;padding:2px;font-size:11pt; }
<p style="font-size:11px;"></p>
</style>

</script>
<script type="text/javascript" src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
<script type="text/javascript">
$(function() {
 $("#tmimaid").bind("change", function() {
     $.ajax({
         url: "change.php",
         data: "tmimaid="+$("#tmimaid").val(),
         success: function(html) {
             $("#nameid").html(html);
         }
     });
 }); 
});

function popupCenter(pageURL, title, w, h) {
    var left = (screen.width / 2)  - (w / 2);
    var top  = (screen.height / 2) - (h / 2);
    var targetWin = window.open(pageURL, title, 'toolbar=no, location=no, directories=no, status=no, menubar=no, scrollbars=yes, resizable=no, copyhistory=no, width=900, height=300, top='+top+', left='+left);
}
</script>

</head>
<body>
<h3> ΑΠΟΥΣΙΕΣ ΥΜΕΡΑΣ ΑΝΑ ΠΕΡΙΟΔΟ-ΜΑΘΗΜΑ</h3>

<?php 

require("dbconnect.php");
$dt=$_SESSION['dt'];
$gym=$_SESSION['gym'];
$dat = isset($_POST['datex']) ? $_POST['datex'] : $dt;
$fhtml = '<form method="post" name = "form1">
<input type="date" name="datex" value="'.$dat.'" >
<input name="anaf" type="submit" value="ΕΠΙΛΟΓΗ ΗΜΕΡΟΜΗΝΙΑΣ" />
</form>';
echo $fhtml;    

if(isset($_POST['anaf']))
{
$datex=$_POST['datex'];
require "allagiprog.php";
$sql = $dbcon->prepare("SELECT a.dateout, a.mitroo, a.period,al.tmima,al.eponimo,al.onoma FROM apousies as a,allstudentinfo as al 
                        WHERE a.apousia=1 AND a.dateout=? AND a.mitroo=al.mitroo 
                        ORDER BY al.tmima,a.mitroo,a.period " );
$sql->execute([$datex]);
echo "<br>";

echo "<table class='myTable' >
<tr style='border:1px solid black' bgcolor='#d6ff73'  >
<th>Α/Α</th>
<th>Α.Μητρ</th>
<th>Τμήμα</th>
<th>Όνομα</th>";
for ($i=1;$i<=$gym;$i++)
{
	$titep="Περ".$i;
	echo "<th>".$titep."</th>";
}
echo "</tr>";

$row=$sql->fetch(PDO::FETCH_ASSOC);
$cc=1;
while(!empty($row)) {
	  $per1=$per2=array();
	  $pmp=$row['mitroo'];
	  $mitroo=$row['mitroo'];
	  $tmima=$row['tmima'];
	  $eponimo=$row['eponimo'];
	  $onoma=$row['onoma'];
	  echo "<td>". $cc . "</td>";
	  echo "<td>". $pmp . "</td>";
	  echo "<td>". $tmima . "</td>";
	  echo "<td>". $eponimo."  ".$onoma . "</td>";
	  while ($pmp==$row['mitroo'])
	  {
	     $per1[$row['period']]=$row['period'].$pmp;
	     $row=$sql->fetch(PDO::FETCH_ASSOC);
      }
		//.....elexos gia ekdiloseis tin parousa hmerominia
		$q=$dbcon->prepare("SELECT e.onoma,s.* FROM ekdilosi as e,ekdilosistu as s 
							WHERE e.date = ? and e.code=s.code and s.pmp=?");
		$q->execute([$datex,$pmp]);
		$ce=0;
		$ce=$q->rowCount();
		if ($ce > 0 ) 
		{
		  $row2=$q->fetch(PDO::FETCH_ASSOC);
		  $onomaekd=$row2['onoma'];  
		}
		else
		{
		  $onomaekd="";	
		}
        $i=1;    
        while($i<=$gym)
	    {
			  //////////////////
			$dayf=date('D', strtotime($dt));
			$day1="day".$i;
			$room="";
			include "mathitisprog1.php";
			
			 $ar=explode("/",$room);
			 $room1 = $ar[1];
			 $per2[$i]=$room1;
			 ////////////
			 if (empty($per1[$i])){ $per2[$i]="  ";} else { $per2[$i]=$room1;}
			 if ($ce > 0 ) 
				{
				  $p="p".$i;  
				  if ($row2["$p"]==1) {$per2[$i]="**".$room1."**"; }
				}
			 
			 echo "<td>". $per2[$i] . "</td>";
			 $i++;
	    }
	 echo "<td>". $onomaekd."</td>";
     echo "</tr>";
	 $cc++;  
}
echo "</table>";	 
}

}
?>

<br /><br />
<a  href=<?php echo $menu1;?> style="color:blue "  > <button> Επιστροφή στο Μενού  </a>
</body>
</html>